%global momorel 10

Summary: file command like perl5 module
Name: perl-File-MMagic
Version: 1.27
Release: %{momorel}m%{?dist}
License: see "COPYING"
Group: Applications/File
URL: http://www.cpan.org/modules/by-module/File/
Source0: http://www.cpan.org/modules/by-module/File/File-MMagic-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: perl >= 5.8.5
Obsoletes: File-MMagic

%description
This module is to guess file type from its contents like file(1)
command.

%prep
%setup -n File-MMagic-%{version} -q

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

# remove needless files
rm -f %{buildroot}%{perl_vendorarch}/auto/File/MMagic/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README*
%{perl_vendorlib}/File/MMagic.pm
%{_mandir}/man?/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.27-10m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.27-9m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.27-8m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.27-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.27-6m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.27-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.27-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.27-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.27-2m)
- use vendor

* Fri Jun  2 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.27-1m)
- update to 1.27

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.26-1m)
- update to 1.26

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.25-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.25-1m)
- update to 1.25

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.22-4m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.22-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.22-2m)
- remove Epoch from BuildRequires

* Mon Mar 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.22-1m)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.20-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.20-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.20-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Sep  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.20-1m)

* Tue Mar  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.17-1m)

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.16-2m)
- rebuild against perl-5.8.0

* Sun Sep 15 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.16-1m)

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.13-4k)
- rebuild against for perl-5.6.1

* Mon Jul  2 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.13-2k)
- add documents

* Tue Nov 28 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- remove BuildArchitectures TAG. This package included
  architecture dependent directory.

* Thu Oct 26 2000 Kazuhiko <kazuhiko@kondara.org>
- (1.09-1k)
- BuildArchitectures: noarch

* Fri Aug 18 2000 Toru Hoshina <t@kondara.org>
- rebuild against perl 5.600.

* Thu Apr 06 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.06.

* Tue Mar 28 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.02.

* Sat Mar 11 2000 Motonobu Ichimura <famao@kondara.org>
- fix .packlist problem

* Wed Mar 01 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.01.

* Thu Dec 30 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Kondara Adaptation.

* Sat Dec 11 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Rebuild for RHL-6.1.

* Thu Dec 02 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Specified Obsoletes: File-MMagic.

* Wed Dec 01 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Fixed package name (Added prefix `perl-').

* Thu Sep 09 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- First build.
